#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

int main() {
    // deklaracije
    int n, q, d, l, u;
    cin >> n >> q;
    vector<int> a(n);
    vector<int> b(q);

    // unos nizova
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }

    // sortiramo glasove
    sort(a.begin(), a.end());

    for(int i = 0; i < q; i++)
    {
        cin >> b[i];
    }

    // glavni deo
    for(int i = 0; i < q; i++)
    {
        l = lower_bound(a.begin(), a.end(), b.at(i)) - a.begin();
        u = upper_bound(a.begin(), a.end(), b.at(i)) - a.begin();
        if((l == n/2 || u == n/2) || (l < n/2 && u > n/2))
        {
            cout << 0 << endl;
        }
        else if(l < n / 2)
        {
            d = u;
            if(n % 2 == 0)
            {
                cout << abs(n / 2 - d) * 2 + 1 << endl;
            }
            else
            {
                cout << abs(n / 2 - d) * 2 << endl;
            }
        }
        else
        {
            d = l;
            if(n % 2 == 0)
            {
                cout << abs(n / 2 - d) * 2 << endl;
            }
            else
            {
                cout << abs(n / 2 - d) * 2 + 1 << endl;
            }
        }
    }
    return 0;
}